# AP4_RtpConstructor Class Reference

`#include <Ap4RtpHint.h>`

Inheritance diagram for AP4_RtpConstructor:

List of all members.

## Public Types
typedef AP4_UI08 | Type
## Public Member Functions
| AP4_RtpConstructor (Type type)
Type | GetType () const
AP4_Result | Write (AP4_ByteStream &stream)
virtual AP4_Size | GetConstructedDataSize ()=0
void | AddReference ()
void | Release ()
## Protected Member Functions
virtual | ~AP4_RtpConstructor ()
virtual AP4_Result | DoWrite (AP4_ByteStream &stream)=0
## Protected Attributes
AP4_Cardinal | m_ReferenceCount
Type | m_Type

## Detailed Description

Definition at line 138 of file Ap4RtpHint.h.

## Member Typedef Documentation

typedef AP4_UI08 AP4_RtpConstructor::Type

Definition at line 142 of file Ap4RtpHint.h.

## Constructor & Destructor Documentation

AP4_RtpConstructor::AP4_RtpConstructor | ( | Type | type | ) | `[inline]`

Definition at line 145 of file Ap4RtpHint.h.

virtual AP4_RtpConstructor::~AP4_RtpConstructor | ( |  | ) | `[inline, protected, virtual]`

Definition at line 158 of file Ap4RtpHint.h.

## Member Function Documentation

Type AP4_RtpConstructor::GetType | ( |  | ) | const`[inline]`

Definition at line 148 of file Ap4RtpHint.h.

References m_Type.

AP4_Result AP4_RtpConstructor::Write | ( | AP4_ByteStream & | stream | ) |

virtual AP4_Size AP4_RtpConstructor::GetConstructedDataSize | ( |  | ) | `[pure virtual]`

Implemented in AP4_NoopRtpConstructor, AP4_ImmediateRtpConstructor, AP4_SampleRtpConstructor, and AP4_SampleDescRtpConstructor.

void AP4_RtpConstructor::AddReference | ( |  | ) | `[virtual]`

Implements AP4_Referenceable.

void AP4_RtpConstructor::Release | ( |  | ) | `[virtual]`

Implements AP4_Referenceable.

virtual AP4_Result AP4_RtpConstructor::DoWrite | ( | AP4_ByteStream & | stream | ) | `[protected, pure virtual]`

Implemented in AP4_NoopRtpConstructor, AP4_ImmediateRtpConstructor, AP4_SampleRtpConstructor, and AP4_SampleDescRtpConstructor.

## Member Data Documentation

AP4_Cardinal AP4_RtpConstructor::m_ReferenceCount`[protected]`

Definition at line 162 of file Ap4RtpHint.h.

Type AP4_RtpConstructor::m_Type`[protected]`

Definition at line 163 of file Ap4RtpHint.h.

Referenced by GetType().

The documentation for this class was generated from the following file:

- Ap4RtpHint.h